mersenne.h File Reference

Class file for Mersenne Twister. More...

Go to the source code of this file.

## Classes

class | MersenneTwister< K, M, N, F, S >
| Mersenne Twister class for Monte-Carlo simulations. More...
class | MT19937
| Original MT19937 generator provided in the ACM paper. More...
class | MT19937ar
| Updated MT19937 generator adapted to provide an array for initialization. More...

## Detailed Description

Class file for Mersenne Twister.

Warning
  MersenneTwister is suitable for Monte-Carlo simulations, where uniformaly distributed numbers are required quickly. It should not be used for cryptographic purposes.

Since
  Crypto++ 5.6.3

Definition in file mersenne.h.